Skip to content

What differs between two packs

GET
/api/v1/config/diff
curl --request GET \
--url 'https://example.com/api/v1/config/diff?a=example&b=example'

The settings that differ, by area. The banned-word list is reported as a count only.

a
required
A

Pack id

string
>= 1 characters <= 40 characters

Pack id

b
required
B

Pack id

string
>= 1 characters <= 40 characters

Pack id

Successful Response

Media typeapplication/json
ConfigDiff

What differs between two packs. Swapping a and b swaps the values and nothing else.

object
a
required
A
string
b
required
B
string
changes
required
Changes
Array<object>
DiffItem

One setting that differs between two packs. Values are shown as text.

object
a
Any of:
string
area
required
Area
string
Allowed values: rules thresholds bands composition tone options
b
Any of:
string
key
required
Key

For example R1.min_age_days or panel.thresholds.low

string

Example

{
"changes": [
{
"area": "rules"
}
]
}

Not Found

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Conflict

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.

Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.